List messages
List messages. View request and response details for this Samva email API endpoint.
Returns message summaries, newest first (oldest first when filtered by conversation), with optional filters for channel, direction, status, conversation, contact, sender address, and creation time. Pass nextCursor back as cursor for the next page; it is null on the last page.
Authorization
apiKey x-api-key<token>
In: header
Query Parameters
limit?string|null
cursor?CursorEncoded|null
channel?|null
direction?|null
status?|null
conversationId?|null
contactId?|null
from?string|null
after?string|null
before?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/messages"{ "items": [ { "id": "string", "channel": "email", "direction": "outbound", "status": "pending", "from": "string", "to": [ "string" ], "subject": "string", "waitReason": "rate", "createdAt": "string" } ], "nextCursor": "string"}